#+TITLE: Realization Catalog  
#+AUTHOR:VLEAD
#+DATE:
#+SETUPFILE: ./org-templates/level-0.org
#+TAGS: boilerplate(b)
#+EXCLUDE_TAGS: boilerplate
#+OPTIONS: ^:nil

* Realization catalog
This document captures the realization catalog of Tree Traversal experiment.

* Realization Catalog
#+NAME: realization-catalog
#+BEGIN_SRC js 


var realizationCatalog = {

    "Traversal Video Introduction":{
          "resource_type": "video",
    "url": "https://www.youtube.com/embed/IxDToIweP7Q"


    },
     "Basics of BFT":{
          "resource_type": "video",
    "url":  "https://www.youtube.com/embed/Ou5ARY4QmHM"
    

    },
     "Basics of DFT":{
          "resource_type": "video",
    "url": "https://www.youtube.com/embed/EkEnytju0A4"

    },


 "Pictorial Representation of Depth First Traversal": {
    "resource_type": "image",
    "url": "/build/code/static/img/dfs",
    "width": "50%",
    "height": "70vh"
 }, 

 "Types": {
    "resource_type": "image",
    "url": "/build/code/static/img/basic_tree",
    "width": "50%",
    "height": "70vh"
 }, 

 "Inorder Explanation": {
    "resource_type": "image",
    "url": "/build/code/static/img/inorder",
  "width": "50%",
    "height": "70vh"
 }, 

 "Preorder Explanation": {
    "resource_type": "image",
   "url": "/build/code/static/img/preorder",
 "width": "50%",
    "height": "70vh"
 }, 

 "Postorder Explanation": {
    "resource_type": "image",
    "url": "/build/code/static/img/postorder",
    "width": "50%",
    "height": "70vh"
 }, 

 "Reconstruction postorder": {
    "resource_type": "image",
    "url": "/build/code/static/img/reconstruction.jpg",
    "width": "50%",
    "height": "90vh"
 }, 

 "Reconstruction preorder": {
    "resource_type": "image",
    "url": "/build/code/static/img/reconstruction_pre.jpg",
    "width": "50%",
    "height": "90vh"
 }, 

 "Pictorial Representation of Breadth First Traversal": {
    "resource_type": "image",
    "url": "/build/code/static/img/bfs",
   "width": "40%",
    "height": "70vh"
     },

 "DFT Demo Tree": {
     "resource_type": "html",
    "url": "/build/code/runtime/html/DFT.html"

 },
 "Breadth First Traversal Demo Tree": {
     "resource_type": "html",
    "url": "/build/code/runtime/html/BFT.html"

 },

 "DFT Practice":{
    "resource_type": "html",
    "url": "/build/code/runtime/html/DFT-Practice.html"

 },
 "DFT Exercise":{
    "resource_type": "html",
    "url": "/build/code/runtime/html/DFT-Exercise.html"

 },
 "BFT Practice":{
    "resource_type": "html",
    "url": "/build/code/runtime/html/BFT-Practice.html"
    
 },
  "BFT Exercise":{
    "resource_type": "html",
    "url": "/build/code/runtime/html/BFT-Exercise.html"
    
 },
 "Iterative Inorder Explanation":{
    "resource_type": "image",
        "url": "/build/code/static/img/Inorderstack.gif",
    "width": "40%",
        "height": "70vh"
 },

 "Introduction Video": {
    "resource_type": "video",
    "url": "https://www.youtube.com/embed/T-6itbp7geU"
  },

  "Traversal Video Introduction": {
    "resource_type": "video",
    "url": "https://www.youtube.com/embed/Kdf24GIT3Uk"
  },

  "Basics of DFT": {
    "resource_type": "video",
    "url": "https://www.youtube.com/embed/Oe-T1N3NG54"
  },

  "Basics of BFT": {
    "resource_type": "video",
    "url": "https://www.youtube.com/embed/0a7NuPDgi-w"
  }
}

#+END_SRC 

* Tangle                                       
#+BEGIN_SRC javascript :tangle realization.js :eval no :noweb yes
<<realization-catalog>>
#+END_SRC
